VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "s_DatabaseView"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
' ====== Test data view ======
Option Explicit

' TODO:
' Public Function AccessLocal() As InfoDatabase
' Public Function GetVisibleLaws() As Scripting.Dictionary
' Public Function GetSelectedLaws() As Scripting.Dictionary
' Public Function CreateGraph(Optional iFilter As Object = Nothing) As CDS_Graph
' Public Function SetDB(dbPath$)
' Public Function ImportData(iSource As InfoDatabase, iDestination As InfoDatabase)
' Public Function ClearData()
' Public Function ClearQueryDocs()
' Public Function ClearQueryLinks()
' Public Function ProposeNewDocument(target As Word.Document, theDB As InfoDatabase) As Boolean
' Public Function LoadTextsForLinks(iSource As InfoDatabase, iDestination As Excel.Worksheet)

Private db_ As InfoDatabase

Public Function Setup()
  ' Mandatory setup function
  Set db_ = New InfoDatabase
 ' Call db_.Init(ThisWorkbook, FixLocalPath(TEST_FOLDER, ThisWorkbook.Path))
End Function

Public Function Teardown()
  ' Mandatory teardown function
  Call ClearData
End Function

Public Function t_SetDB()
  On Error GoTo PROPAGATE_ERROR
  
  
  
  Exit Function
PROPAGATE_ERROR:
  Call Dev_LogError(Err.Number, Err.Description)
End Function
